Get Image Version Details
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/versions/{versionId}/patches
Gets the list of patches and bugs fixed (if requested) in the specified version of the image
Request
Path Parameters
-
goldImageId(required): string
ID of the image
-
versionId(required): string
ID of the image version
Query Parameters
-
include: string
Provide list of bugs fixed (if available)Allowed Values:
[ "bugs" ]Example:bugs
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. Patches information for the specified version of the image retrieved.
Root Schema : PatchCollection
Type:
objectPatches and bug fixes (if requested) for the specified version of the image
Match All
Patches and bug fixes (if requested) for the specified version of the image
Patches and bug fixes (if requested) for the specified version of the image
Show Source
-
object
ImagePatchCollection
Patches available in the image
-
object
ImageBugCollection
Collection of the image bugs
Nested Schema : ImagePatchCollection
Type:
objectPatches available in the image
Show Source
-
patches: array
patches
Array of patches
-
totalPatches: integer
Total count of patches in the image
Nested Schema : ImageBugCollection
Type:
objectCollection of the image bugs
Show Source
-
bugs: array
bugs
Bug details
-
totalBugs: integer
Total count of bugs in the image
Nested Schema : patches
Type:
arrayArray of patches
Show Source
-
Array of:
object ImagePatch
Image patch details
Nested Schema : ImagePatch
Type:
objectImage patch details
Show Source
-
patchDescription: string
Description of the patchExample:
Database Release Update : 19.14.0.0.220118 (33515361) -
patchId: string
ID of the patchExample:
33515361
Nested Schema : bugs
Type:
arrayBug details
Show Source
-
Array of:
object ImageBug
Image bug details
Nested Schema : ImageBug
Type:
objectImage bug details
Show Source
-
bugDescription: string
Description of a bugExample:
DBA_REGISTRY_HISTORY IS NOT UPDATED DURING UPGRADE TO 12.1.0.2 -
bugNumber: string
Bug numberExample:
19134173 -
patchId: string
ID of PatchExample:
33515361 -
patchUpi: string
Patch UPI
Examples
400 Response
Bad Request.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
401 Response
Unauthorized.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
404 Response
Not Found.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
500 Response
Internal Server Error.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
503 Response
Service Unavailable
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty